| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLES2FrameBufferObject Class Reference

Frame Buffer Object abstraction. More...

`#include <OgreGLES2FrameBufferObject.h>`

## Public Member Functions
| GLES2FrameBufferObject (GLES2FBOManager *manager, uint fsaa)
| ~GLES2FrameBufferObject ()
void | attachDepthBuffer (DepthBuffer *depthBuffer)
| This function acts very similar to. More...
bool | bind (bool recreateIfNeeded)
| Bind FrameBufferObject. More...
void | bindSurface (size_t attachment, const GLSurfaceDesc &target)
| Bind a surface to a certain attachment point. More...
void | detachDepthBuffer ()
GLContext * | getContext ()
PixelFormat | getFormat ()
GLsizei | getFSAA ()
uint32 | getHeight ()
GLES2FBOManager * | getManager ()
const GLSurfaceDesc & | getSurface (size_t attachment)
uint32 | getWidth ()
| Accessors. More...
void | notifyContextDestroyed (GLContext *context)
void | swapBuffers ()
| Swap buffers - only useful when using multisample buffers. More...
void | unbindSurface (size_t attachment)
| Unbind attachment. More...

## Detailed Description

Frame Buffer Object abstraction.

## Constructor & Destructor Documentation

## ◆ GLES2FrameBufferObject()

Ogre::GLES2FrameBufferObject::GLES2FrameBufferObject | ( | GLES2FBOManager * | manager,
|  | uint | fsaa
| ) |  |

## ◆ ~GLES2FrameBufferObject()

Ogre::GLES2FrameBufferObject::~GLES2FrameBufferObject | ( |  | ) |

## Member Function Documentation

## ◆ bindSurface()

void Ogre::GLES2FrameBufferObject::bindSurface | ( | size_t | attachment,
|  | const GLSurfaceDesc & | target
| ) |  |

Bind a surface to a certain attachment point.

attachment: 0..OGRE_MAX_MULTIPLE_RENDER_TARGETS-1

## ◆ unbindSurface()

void Ogre::GLES2FrameBufferObject::unbindSurface | ( | size_t | attachment | ) |

Unbind attachment.

## ◆ bind()

bool Ogre::GLES2FrameBufferObject::bind | ( | bool | recreateIfNeeded | ) |

Bind FrameBufferObject.

Attempt to bind on incompatible GL context will cause FBO destruction and optional recreation.

## ◆ swapBuffers()

void Ogre::GLES2FrameBufferObject::swapBuffers | ( |  | ) |

Swap buffers - only useful when using multisample buffers.

## ◆ attachDepthBuffer()

void Ogre::GLES2FrameBufferObject::attachDepthBuffer | ( | DepthBuffer * | depthBuffer | ) |

This function acts very similar to.

See also
  GLES2FBORenderTexture::attachDepthBuffer The difference between D3D & OGL is that D3D setups the DepthBuffer before rendering, while OGL setups the DepthBuffer per FBO. So the DepthBuffer (RenderBuffer) needs to be attached for OGL.

## ◆ detachDepthBuffer()

void Ogre::GLES2FrameBufferObject::detachDepthBuffer | ( |  | ) |

## ◆ getWidth()

uint32 Ogre::GLES2FrameBufferObject::getWidth | ( |  | ) |

Accessors.

## ◆ getHeight()

uint32 Ogre::GLES2FrameBufferObject::getHeight | ( |  | ) |

## ◆ getFormat()

PixelFormat Ogre::GLES2FrameBufferObject::getFormat | ( |  | ) |

## ◆ getFSAA()

GLsizei Ogre::GLES2FrameBufferObject::getFSAA | ( |  | ) |

## ◆ getManager()

GLES2FBOManager* Ogre::GLES2FrameBufferObject::getManager | ( |  | ) |
| inline

## ◆ getContext()

GLContext* Ogre::GLES2FrameBufferObject::getContext | ( |  | ) |
| inline

## ◆ getSurface()

const GLSurfaceDesc& Ogre::GLES2FrameBufferObject::getSurface | ( | size_t | attachment | ) |
| inline

## ◆ notifyContextDestroyed()

void Ogre::GLES2FrameBufferObject::notifyContextDestroyed | ( | GLContext * | context | ) |
| inline

The documentation for this class was generated from the following file:

- OgreGLES2FrameBufferObject.h